summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2010-11-27 16:31:53 +0100
committerJelmer Vernooij <jelmer@samba.org>2010-11-27 17:17:29 +0100
commit498743bd46b3ab9b2c23140495a1cfeb25f11b8f (patch)
tree6008cb1841db5bc1c9a60800a5237dbff0b71c81 /script
parent258dc02a9db9280b43d336eecf4a63df790c1945 (diff)
downloadsamba-498743bd46b3ab9b2c23140495a1cfeb25f11b8f.tar.gz
samba-498743bd46b3ab9b2c23140495a1cfeb25f11b8f.tar.bz2
samba-498743bd46b3ab9b2c23140495a1cfeb25f11b8f.zip
show_test_time: Move to root scripting directory as it's useful for s3
and s4. Autobuild-User: Jelmer Vernooij <jelmer@samba.org> Autobuild-Date: Sat Nov 27 17:17:29 CET 2010 on sn-devel-104
Diffstat (limited to 'script')
-rwxr-xr-xscript/show_test_time19
1 files changed, 19 insertions, 0 deletions
diff --git a/script/show_test_time b/script/show_test_time
new file mode 100755
index 0000000000..d9a18f034e
--- /dev/null
+++ b/script/show_test_time
@@ -0,0 +1,19 @@
+#!/usr/bin/env perl
+#
+use strict;
+my %h;
+open(FH, "subunit-ls --times --no-passthrough|") || die "pb with subunit-ls";
+while(<FH>)
+{
+ chomp();
+ my @l = split(/ /);
+ my $val = @l[scalar(@l)-1];
+ $h{join(' ',@l)} = $val;
+}
+
+my @sorted = sort { $h{$b}<=>$h{$a} } keys(%h);
+use Data::Dumper;
+foreach my $l (@sorted)
+{
+ print "$l\n";
+}